# Class DrbgParameters.NextBytes

java.lang.Object
java.security.DrbgParameters.NextBytes

All Implemented Interfaces:
  `SecureRandomParameters`

Enclosing class:
  `DrbgParameters`

public static final class DrbgParameters.NextBytes extends Object implements SecureRandomParameters
DRBG parameters for random bits generation. It is used in `SecureRandom.nextBytes(byte[], SecureRandomParameters)`.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getAdditionalInput()`
  Returns the requested additional input.
  `boolean`
  `getPredictionResistance()`
  Returns whether prediction resistance is requested.
  `int`
  `getStrength()`
  Returns the security strength requested in bits.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getStrength

    public int getStrength()
    Returns the security strength requested in bits.
    Returns:
      the strength requested, or -1 if the effective strength should be used.

  - ### getPredictionResistance

    public boolean getPredictionResistance()
    Returns whether prediction resistance is requested.
    Returns:
      whether prediction resistance is requested

  - ### getAdditionalInput

    public byte[] getAdditionalInput()
    Returns the requested additional input.
    Returns:
      the requested additional input, `null` if not requested. A new byte array is returned each time this method is called.